Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           spill
Version:        0.8
Release:        alt2_29
Summary:        A segregated package install logical linker

License:        GPLv2
URL:            https://github.com/rc0/spill
Source0:        https://github.com/rc0/spill/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info

%description
spill is a program for creating set of symbolic links from one
directory hierarchy which point to corresponding file names in
a separate directory hierarchy. It's primary use is to allow
packages built from source to be installed in separate directory
trees, which are all linked together under a common directory
tree to reduce the length of the PATH environment variable.

%prep
%setup -q

%build
%configure
%make_build

%install
install -Dp -m 0755 %{name} %{buildroot}%{_sbindir}/%{name}
install -Dp -m 0644 %{name}.8 %{buildroot}%{_mandir}/man8/%{name}.8

%files
%doc NEWS
%doc --no-dereference COPYING
%{_mandir}/man*/%{name}*.*
%{_sbindir}/%{name}

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.8-alt2_29
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.8-alt2_28
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.8-alt2_27
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.8-alt2_26
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.8-alt2_25
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.8-alt2_24
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.8-alt2_23
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.8-alt2_22
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_22
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_21
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_20
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_16
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_12
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_11
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_9
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_8
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_7
- initial fc import

